#!/usr/bin/python
# -*- coding: utf-8 -*-

# Übung 2 (EasyGUI)


from easygui import *
from ue1 import *


def stats_as_text(stats, minimum = 0):
	result = ""
	from operator import itemgetter
	for line in sorted(stats.items(), key=itemgetter(1), reverse=True):
		if line[1] > minimum:
			result += "%20s: %s\n" % line
			#print "%20s: %s" % line
	return result


def main():
	msgbox("Ich zeige an wie viele Prozesse gerade laufen!")

	msg ="Bitte wählen Sie eine Option"
	title = "Was soll ich anzeigen?"
	choices = ["Wieviele Prozesse pro Benutzer sind aktiv?", "Wieviele Prozesse pro Anwendungen laufen immoment?"]
	choice = choicebox(msg, title, choices)	

	if choice == choices[0]:
		stats = get_user_process_stats()
	else:
		stats = get_app_process_stats()	


	m = integerbox(msg='Zeige nur Prozesse, die mindestens X mal auftreten:', title=' ', default=0, argLowerBound=0, argUpperBound=99, image=None, root=None)


	# Ausgabe
	codebox(msg='Ausgabe', title='Prozess Informationen', text=stats_as_text(stats, m))


	
if __name__ == '__main__':
	main()

